package ms.warpzone.warppay.data.models.rest;

import ms.warpzone.warppay.data.models.local.Product;

public class RestProduct {


    private int id;
    private String name;
    private String category;
    private Float price_vk;
    private int stock_count;

    public RestProduct() {
        super();
    }

    public RestProduct(int id, String name, String category, Float price_vk, int stock_count) {
        this.id = id;
        this.name = name;
        this.category = category;
        this.price_vk = price_vk;
        this.stock_count = stock_count;
    }

    public int getId() {
        return this.id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public Float getPrice() {
        return price_vk;
    }

    public void setPrice(Float price) {
        this.price_vk = price_vk;
    }

    public int getCount() {
        return stock_count;
    }

    public void setCount(int stock_count) {
        this.stock_count = stock_count;
    }

    public Product toLocalProduct() {
        Product p = new Product();
        p.setPid(this.id);
        p.setName(this.name);
        p.setCategory(this.category);
        p.setPrice(this.price_vk);
        p.setCount(this.stock_count);
        return p;
    }

    public static RestProduct fromLocalProduct(Product product) {
        RestProduct restProduct = new RestProduct();
        restProduct.setId(product.getPid());
        restProduct.setName(product.getName());
        restProduct.setCategory(product.getCategory());
        restProduct.setCount(product.getCount());
        restProduct.setPrice(product.getPrice());
        return restProduct;
    }
}
